export declare type SemVer = {
    major: number;
    minor: number;
    micro: number;
};
export declare function parseSemVer(s: string): SemVer;
export declare function compare(a: SemVer, b: SemVer): number;
export declare enum Feature {
    JS_PULL_MAX_BYTES = "js_pull_max_bytes"
}
declare type FeatureVersion = {
    ok: boolean;
    min: string;
};
export declare class Features {
    server: SemVer;
    features: Map<Feature, FeatureVersion>;
    constructor(v: SemVer);
    set(f: Feature, requires: string): void;
    get(f: Feature): FeatureVersion;
    supports(f: Feature): boolean;
    require(v: SemVer | string): boolean;
}
export {};
